@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:opsz@6..12&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Nunito Sans', sans-serif;
}

:root {
    /* --main-theme-clr: #CA1551; */
    --main-theme-clr: #EB134D;
    --primary-clr: #FFE5D9;
    --secondary-clr: #FB4D3D;
    --clr-white: #fff;
    --clr-dark: #1f1f1f;
    --clr-grey: #444444;
    --stylish-font: 'Pacifico', cursive;
}

html,
body {
    width: 100%;
    height: 100%;
    position: relative;

}

html {
    font-size: 62.5%;
}
@media (max-width:1440px) {
    html {
        font-size: 75% !important;
    }
}
@media (min-width:1199px) {
    html {
        font-size: 65% !important;
    }
}

@media (max-width:1024px) {
    html {
        font-size: 52% !important;
    }
}


::-webkit-scrollbar {
    width: 1.2rem;
}

::-webkit-scrollbar-track {
    background: var(--clr-white);
}

::-webkit-scrollbar-thumb {
    background-color: var(--main-theme-clr);
    border-radius: 1rem;
    border: 0.3rem solid transparent;
    background-clip: content-box;
}

::-webkit-scrollbar-thumb:hover {
    background-color: var(--secondary-clr);
    border: 0.3rem solid transparent;
}

.top-headline {}

.headline {
    position: fixed;
    top: 0;
    right: 20%;
    z-index: 9999;
    width: 60%;
    padding: 1.5rem 0;
    font-size: 1.2rem;
    background: var(--main-theme-clr);
    color: var(--clr-white);
    box-shadow: 0px 2px 10px #353535;
    letter-spacing: 2px;
}

.headline-full {
    position: fixed;
    top: 0;
    right: 0%;
    z-index: 9999;
    width: 80%;
    padding: 1.5rem 0;
    font-size: 1.2rem;
    background: var(--main-theme-clr);
    color: var(--clr-white);
    box-shadow: 0px 2px 10px #353535;
    letter-spacing: 2px;
}

.top-headline .email {
    position: fixed;
    top: 0;
    right: 0%;
    z-index: 9999;
    min-width: 20%;
    padding: 1.5rem 1rem;
    font-size: 1.2rem;
    background: var(--main-theme-clr);
    color: var(--clr-white);
    box-shadow: 2px 2px 10px #353535;
    letter-spacing: 2px;
}

.headline span {
    margin: 0 20px;
    font-weight: bold;
}

.main-wrapper {
    position: relative;
    width: 100%;
    height: auto;
    display: flex;
}

.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    width: 20%;
    height: 100vh;
    background: var(--primary-clr);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 2% 0;
    z-index: 9999;
    box-shadow: 0px 1px 10px 0px #999999;
}

.main-container {
    position: absolute;
    top: 0;
    right: 0;
    width: 80%;
    height: auto;
    background: var(--clr-white);
}

.main-container .mob-nav {
    display: none;
}


/* ========== sidebar inner ========== */
.sidebar .logo img {
    width: 140px;
    height: 140px;
    border-radius: 50%;
    object-fit: cover;

    /* =========== Changes after deployment =========== */
    object-position: center;
}

.sidebar .links ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2.0rem;
    width: 100%;
}

.sidebar .links li {
    list-style: none;
}

.sidebar .links a {
    text-decoration: none;
    color: var(--clr-dark);
    font-weight: 600;
    font-size: 1.8rem;
    width: fit-content;
    position: relative;
}

.sidebar .links a::after {
    content: "";
    position: absolute;
    bottom: -5px;
    height: 2px;
    width: 105%;
    left: 0;
    background: var(--main-theme-clr);
    transition: 0.3s;
    transition-timing-function: ease-in-out;
    transform: scaleX(0);
}

.sidebar .links .active::after {
    content: "";
    position: absolute;
    bottom: -5px;
    height: 2px;
    width: 105%;
    left: 0;
    background: var(--main-theme-clr);
    transition: 0.3s;
    transition-timing-function: ease-in-out;
    transform: scaleX(1);
}

.sidebar .links a:hover::after {
    transform: scaleX(1);
}

.sidebar .contact-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
}

.sidebar .contact-info .info-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.0rem;
}

.sidebar .contact-info .info-text p {
    font-size: 1.4rem;
    color: var(--clr-grey);
    letter-spacing: 0.1rem;
}

.sidebar .contact-info .info-text i {
    font-size: 1.2rem;
    margin-right: 0.5rem;
    color: var(--main-theme-clr);
}

.sidebar .social-links i {
    margin-right: 0.5rem;
    font-size: 2.0rem;
    color: var(--secondary-clr);
    cursor: pointer;
}


/* ========== Start main-hero-slider ========== */
.swiper-container {
    width: 100%;
    height: 120vh;
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #fff;
    top: 100%;
    left: -50%;
    transform-origin: right;
    transform: skewY(8deg);
    z-index: 999;
}

.swiper::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #fff;
    top: 100%;
    right: -50%;
    transform-origin: left;
    transform: skewY(-8deg);
    z-index: 99999;
}

.swiper-slide {
    text-align: center;
    background: var(--clr-white);
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide .slide-content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 2.5rem;
    padding: 0 12%;
}


.swiper-slide .slide-content-1 {
    background: url(../assets/slider-images/7.jpeg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.swiper-slide .slide-content-2 {
    background: url(../assets/slider-images/6.jpg);
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
}

.swiper-slide .slide-content-3 {
    background: url(../assets/slider-images/2.jpeg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.swiper-slide .slide-content-4 {
    background: url(../assets/product/cones1.jpeg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* .swiper-slide .slide-content-4 h2{
    color: var(--main-theme-clr);
} */

.slide-content h2 {
    font-weight: 100;
    font-size: 5.6rem;
    color: var(--clr-white);
    font-family: var(--stylish-font);
}

.slide-content p {
    text-align: left;
    font-size: 1.8rem;
    width: 50%;
    color: var(--clr-white);
}

.slide-content button {
    padding: 1.2rem 3.0rem;
    background: var(--main-theme-clr);
    border: none;
    border-radius: .6rem;
    box-shadow: 2px 2px 10px 2px var(--clr-grey);
    transition: all ease-in-out .2s;
}

.slide-content button:hover {
    background: var(--secondary-clr);
    box-shadow: 2px 2px 14px 2px var(--clr-grey);

}

.slide-content button a {
    font-size: 1.6rem;
    letter-spacing: 1px;
    font-weight: 600;
    text-decoration: none;
    color: var(--clr-white);
    text-transform: uppercase;
}

.swiper-button-prev:after,
.swiper-rtl .swiper-button-next:after {
    content: 'prev';
}

.swiper-button-next:after,
.swiper-button-prev:after {
    font-family: swiper-icons;
    font-size: 1.8rem;
    color: var(--clr-white);
    text-transform: none !important;
    letter-spacing: 0;
    font-variant: initial;
    line-height: 1;
}

.feature-products-slider {
    padding: 5.0rem 6.0rem;
}

.feature-products-slider .swiper::before {
    display: none;
}

.feature-products-slider .swiper::after {
    display: none;
}


/* ========== start menu main slider ========== */
.menu-swiper-container {
    width: 100%;
    height: 85vh !important;
}

.menu-swiper-container .slide-content {
    /* width: 100%; */
    /* height: 100%; */
    /* display: flex; */
    /* flex-direction: column; */
    /* justify-content: center; */
    /* align-items: flex-start; */
    /* gap: 2.5rem; */
    /* padding: 0 12%; */
}

.menu-swiper-container .slide-content h2 {
    font-weight: 100;
    font-size: 4.6rem;
    /* color: var(--clr-white); */
    /* font-family: var(--stylish-font); */
}

.menu-swiper-container .slide-content button {
    padding: 0.6rem 2.5rem;
    background: var(--main-theme-clr);
    /* border: none; */
    /* border-radius: .6rem; */
    /* box-shadow: 2px 2px 10px 2px var(--clr-grey); */
    /* transition: all ease-in-out .2s; */
}

/* .slide-content button:hover {
    background: var(--secondary-clr);
    box-shadow: 2px 2px 14px 2px var(--clr-grey);
} */

.slide-content button a {
    font-size: 1.2rem;
    /* letter-spacing: 1px; */
    font-weight: 400;
    /* text-decoration: none;
    color: var(--clr-white);
    text-transform: uppercase; */
}

.slide-content button a span {
    font-weight: 600;
}


.feature-products-slider {}

/* ========== Start feature product ========== */




/* ========== Start about-section ========== */
.about-section {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    background: var(--clr-white);
    position: relative;
    padding: 7.0rem 6.0rem;
}

.about-section .about-text {
    width: 60%;
    padding-right: 3.0rem;
}

.about-section .about-text h2 {
    text-align: center;
    font-size: 4.0rem;
    color: var(--main-theme-clr);
    font-family: var(--stylish-font);
    font-weight: 100;
    margin-bottom: 2.0rem;
}

.about-section .about-text p {
    font-size: 1.6rem;
    color: var(--clr-grey);
    font-weight: 600;
    text-align: center;
    margin: 1.0rem 0;
}

.about-section .about-text .main {
    font-family: var(--stylish-font);
    color: var(--main-theme-clr);
    padding: 0 4rem;
    font-size: 1.6rem;
    font-weight: 100;
    text-align: center;
}

.about-section .cover-image {
    width: 40%;
}

.about-section .cover-image img {
    border-radius: 3.0rem;
    width: 100%;
    object-fit: cover;
    object-position: center;
}


/* ========== Start services-section ========== */
.services-section {
    width: 100%;
    min-height: 40rem;
    background: var(--primary-clr);
    padding: 5.0rem 6.0rem 6.0rem 6.0rem;
}

.services-section h2 {
    text-align: center;
    font-size: 3.4rem;
    font-family: var(--stylish-font);
    color: var(--main-theme-clr);
    margin-bottom: 3.0rem;
    font-weight: 100;
}

.services-section .services {
    display: flex;
    width: 100%;
    height: 100%;
    background: var(--clr-white);
    border-radius: .6rem;
}

.services-section .services .image {
    width: 50%;
    height: 100%;
    padding: 5.0rem;
}

.services-section .services .details {
    width: 50%;
    height: 100%;
    padding: 5.0rem 5.0rem 5.0rem 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 2.0rem;
}

.services .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    background-position: center;
    border-radius: 3.0rem;
}

.services-section .services .details h3 {
    font-size: 2.8rem;
    color: var(--clr-dark);
}

.services-section .services .details p {
    font-size: 1.6rem;
    color: var(--clr-grey);
}

.services-section .services .details button {
    padding: 1.0rem 2.5rem;
    background: var(--secondary-clr);
    border: none;
    border-radius: .5rem;
    cursor: pointer;
    transition: all ease-in-out 0.2s;
}

.services-section .services .details button:hover {
    background: var(--main-theme-clr);
}

.services-section .services .details button a {
    color: var(--clr-white);
    text-decoration: none;
    /* font-weight: 600; */
    font-size: 1.6rem;
}

/* ========== Start feature-products ========== */
.feature-products {
    width: 100%;
    padding: 5rem 6rem;
}

.feature-products h2 {
    text-align: center;
    font-size: 3.4rem;
    font-family: var(--stylish-font);
    color: var(--main-theme-clr);
    margin-bottom: 4.0rem;
    font-weight: 100;
}

.feature-products .products {
    /* padding: 3.0rem 4.0rem; */
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 3.0rem;
    /* background: var(--primary-clr); */
}

.feature-products .products .product {
    /* background: var(--primary-clr); */
    width: 100%;
    box-shadow: 2px 0px 10px #7a7a7a;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.feature-products .products .product img {
    width: 100%;
    height: 28.0rem;
    object-fit: cover;
    object-position: top;
    overflow: hidden;
}

.feature-products .products .product h3 {
    font-size: 2.3rem;
    text-align: center;
    margin: 2.0rem;
    color: var(--clr-dark);
}

.feature-products .products .product button {
    background: var(--secondary-clr);
    padding: 1rem 2.5rem;
    margin-bottom: 2.0rem;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: all ease-in-out 0.2s;
}

.feature-products .products .product button:hover {
    background: var(--main-theme-clr);
}

.feature-products .products .product button a {
    text-decoration: none;
    color: var(--clr-white);
    font-size: 1.6rem;
}

/* ========== Start Order ========== */
.order-container {
    padding: 0 6rem;
}

.order {
    padding: 5rem 5rem;

    /* --- changes ---
      mt 1 to 5rem */
    /* margin: 1rem 0rem 5rem 0rem; */

    margin: 5rem 0rem 5rem 0rem;
    background: var(--primary-clr);
    border-radius: 1rem;
    width: 100%;
    display: flex;
    gap: 5rem;
}

.order .text {
    width: 50%;
}

.order .text h2 {
    /* text-align: center; */
    font-size: 2.8rem;
    font-family: var(--stylish-font);
    color: var(--main-theme-clr);
    margin-bottom: 2.0rem;
    font-weight: 100;
}

.order .text p {
    text-align: justify;
    font-size: 1.4rem;
    /* font-family: var(--stylish-font); */
    color: var(--clr-dark);
    margin-bottom: 2.5rem;
    font-weight: 100;
}

.order .text button {
    padding: 1rem 2rem;
    background: var(--main-theme-clr);
    border: none;
    border-radius: .5rem;
    cursor: pointer;
    transition: all ease-in-out .2s;
}

.order .text button:hover {
    background: var(--secondary-clr);
}

.order .text button a {
    text-decoration: none;
    color: var(--clr-white);
    font-size: 1.6rem;
}

.order .image {
    width: 50%;
    height: 30.0rem;
}

.order .image img {
    border-radius: 3rem;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}


/* ========== Start footer ========== */
footer {
    width: 100%;
    padding: 5.0rem 0;
    display: flex;
    justify-content: space-evenly;
    align-items: flex-start;
    gap: 2.0rem;
    background: var(--primary-clr);
}

footer h2 {
    font-size: 2.8rem;
    color: var(--clr-grey);
    margin-bottom: 1.0rem;
}

footer .info p {
    font-size: 1.6rem;
    color: var(--secondary-clr);
    margin-bottom: 1.0rem;
}


footer .text p i {
    font-size: 1.6rem;
    color: var(--main-theme-clr);
    margin-right: 10px;
}

footer .text .social-links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1.2rem;
}

footer .text .social-links a {
    color: var(--secondary-clr);    
}

footer .text .social-links a i {
    font-size: 3.6rem;
}

.copyright {
    width: 100%;
    padding: 3.0rem 0;
    border-top: 2px dashed var(--clr-white);
    background: var(--primary-clr);
}

.copyright p {
    text-align: center;
    font-size: 1.6rem;
    color: var(--clr-grey);
}

#scrollToTopBtn {
    width: 4rem;
    height: 4rem;
    display: none;
    position: fixed;
    bottom: 10px;
    right: 4px;
    background-color: #000;
    opacity: .6;
    color: #ffffff;
    border: none;
    border-radius: 50%;
    cursor: pointer;
}

#scrollToTopBtn i {
    font-size: 1.6rem;
}